Name:           pdf2djvu
Version:        0.9.19
Release:        %mkrel 2
Summary:        PDF to DJVu file converter
License:        GPLv2
Group:          Publishing
Url:            http://jwilk.net/software/pdf2djvu
Source0:        https://github.com/jwilk/pdf2djvu/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  djvulibre >= 3.5.21
BuildRequires:  libgomp-devel
BuildRequires:  pstreams-devel
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.21
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(GraphicsMagick)
BuildRequires:  pkgconfig(uuid)

# see mga#26352
Requires:       djvulibre

%description
pdf2djvu creates DjVu files from PDF files. It's able to extract
graphics, text layer, hyperlinks, document outline (bookmarks), and
metadata.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{build_cxxflags} -std=gnu++17"
autoreconf -fi
%configure
%make_build

%install
%make_install

install -m 644 -D doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc doc/changelog doc/credits doc/djvudigital
%license doc/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Dec 03 2022 wally <wally> 0.9.19-2.mga9
+ Revision: 1916207
- rebuild for poppler 22.12.0

* Tue Oct 25 2022 ghibo <ghibo> 0.9.19-1.mga9
+ Revision: 1899231
- Rebuild against newer libpoppler 22.10.
- Update to release 0.9.19.
+ neoclust <neoclust>
- New version 0.9.19

* Sat Sep 03 2022 wally <wally> 0.9.18.2-4.mga9
+ Revision: 1883700
- rebuild for poppler 22.09.0

* Sat Jul 23 2022 wally <wally> 0.9.18.2-3.mga9
+ Revision: 1870369
- rebuild for poppler 22.07.0

* Sun May 15 2022 wally <wally> 0.9.18.2-2.mga9
+ Revision: 1858266
- rebuild for poppler 22.05.0

* Sun May 01 2022 wally <wally> 0.9.18.2-1.mga9
+ Revision: 1855368
- new version 0.9.18.2
- rebuild for poppler 22.04.0

* Fri Apr 01 2022 umeabot <umeabot> 0.9.18.1-3.mga9
+ Revision: 1838072
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.9.18.1-2.mga9
+ Revision: 1762531
- rebuild for poppler 21.12.0

* Sun Nov 07 2021 wally <wally> 0.9.18.1-1.mga9
+ Revision: 1754575
- new version 0.9.18.1
- rebuild for poppler 21.11.0

* Wed Sep 08 2021 wally <wally> 0.9.17.1-6.mga9
+ Revision: 1744502
- rebuild for poppler 21.09.0

* Thu Aug 12 2021 wally <wally> 0.9.17.1-5.mga9
+ Revision: 1741197
- rebuild for poppler 21.08.0

* Sat Jun 19 2021 wally <wally> 0.9.17.1-4.mga9
+ Revision: 1731351
- rebuild for poppler 21.06.1

* Sat Mar 20 2021 wally <wally> 0.9.17.1-3.mga9
+ Revision: 1705891
- rebuild for poppler 21.03.0

* Sun Dec 06 2020 wally <wally> 0.9.17.1-2.mga8
+ Revision: 1653330
- rebuild for poppler 20.12.0

* Thu Oct 22 2020 daviddavid <daviddavid> 0.9.17.1-1.mga8
+ Revision: 1638060
- new version: 0.9.17.1

* Thu Aug 06 2020 wally <wally> 0.9.17-5.mga8
+ Revision: 1611577
- rebuild for poppler 20.08.0

* Sat May 02 2020 wally <wally> 0.9.17-4.mga8
+ Revision: 1577943
- rebuild for poppler 0.88.0

* Sat Apr 04 2020 wally <wally> 0.9.17-3.mga8
+ Revision: 1564379
- rebuild for poppler 0.87.0

* Tue Mar 17 2020 daviddavid <daviddavid> 0.9.17-2.mga8
+ Revision: 1557190
- add missing dependency on djvulibre (mga#26352)

* Wed Mar 04 2020 wally <wally> 0.9.17-1.mga8
+ Revision: 1553725
- new version 0.9.17
- rebuild for poppler 0.86.1

* Fri Feb 21 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1548303
- new version: 0.9.16

* Wed Feb 19 2020 umeabot <umeabot> 0.9.15-3.mga8
+ Revision: 1543954
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 wally <wally> 0.9.15-2.mga8
+ Revision: 1482555
- rebuild for poppler 0.84.0

* Thu Jan 23 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1482426
- new version: 0.9.15
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 wally <wally> 0.9.14-3.mga8
+ Revision: 1469657
- rebuild for poppler 0.83.0

* Thu Oct 31 2019 wally <wally> 0.9.14-2.mga8
+ Revision: 1457171
- rebuild for new poppler 0.82.0

* Thu Oct 31 2019 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1457067
- new version: 0.9.14

* Thu Oct 10 2019 wally <wally> 0.9.13-4.mga8
+ Revision: 1451111
- rebuild for poppler 0.81.0

* Thu Sep 19 2019 wally <wally> 0.9.13-3.mga8
+ Revision: 1443908
- rebuild for poppler 0.80.0

* Mon Jul 15 2019 wally <wally> 0.9.13-2.mga8
+ Revision: 1421631
- rebuild with poppler 0.78.0

* Tue Jul 02 2019 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1417786
- new version: 0.9.13

* Thu May 16 2019 daviddavid <daviddavid> 0.9.12-3.mga7
+ Revision: 1398010
- rebuild for new exiv2 0.27.1

* Mon Feb 18 2019 wally <wally> 0.9.12-2.mga7
+ Revision: 1368133
- rebuild for new poppler 0.74.0

* Wed Feb 06 2019 daviddavid <daviddavid> 0.9.12-1.mga7
+ Revision: 1363654
- new version: 0.9.12
- remove merged upstream patches

* Sat Jan 26 2019 wally <wally> 0.9.11-7.mga7
+ Revision: 1361109
- add patch to fix build with new poppler 0.73.0

* Fri Jan 11 2019 daviddavid <daviddavid> 0.9.11-6.mga7
+ Revision: 1354802
- rebuild for new exiv2 0.27

* Sat Dec 08 2018 wally <wally> 0.9.11-5.mga7
+ Revision: 1339026
- add patch to build with poppler 0.72.0

* Sat Nov 17 2018 wally <wally> 0.9.11-4.mga7
+ Revision: 1330541
- rebuild for new poppler 0.71.0

* Thu Nov 01 2018 tv <tv> 0.9.11-3.mga7
+ Revision: 1327070
- rebuild with latest poppler
+ wally <wally>
- rebuild for poppler 0.70.1

* Sun Oct 28 2018 daviddavid <daviddavid> 0.9.11-1.mga7
+ Revision: 1326361
- new version: 0.9.11

* Sun Sep 23 2018 umeabot <umeabot> 0.9.10-2.mga7
+ Revision: 1300148
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 daviddavid <daviddavid> 0.9.10-1.mga7
+ Revision: 1247046
- new version: 0.9.10

* Sun Apr 22 2018 daviddavid <daviddavid> 0.9.9-1.mga7
+ Revision: 1220866
- new version: 0.9.9

* Sun Apr 15 2018 kekepower <kekepower> 0.9.8-2.mga7
+ Revision: 1219059
- Rebuild for new Poppler

* Sat Feb 17 2018 daviddavid <daviddavid> 0.9.8-1.mga7
+ Revision: 1202016
- new version: 0.9.8
- remove upstreamed patches
- update doc files list

* Wed Jan 10 2018 ns80 <ns80> 0.9.5-6.mga7
+ Revision: 1192060
- rebuild for new poppler

* Thu Oct 12 2017 tv <tv> 0.9.5-5.mga7
+ Revision: 1171317
- rebuild for new poppler

* Thu Sep 21 2017 daviddavid <daviddavid> 0.9.5-4.mga7
+ Revision: 1156792
- rebuild for new poppler 0.59.0
- add an upstream patch to fix build with poppler 0.58 and higher
+ tv <tv>
- rebuild for new poppler

* Mon Aug 07 2017 daviddavid <daviddavid> 0.9.5-2.mga7
+ Revision: 1138248
- add patch to remove '-std=gnu++98', fixing build with new poppler
- rebuild for new poppler 0.56

* Mon Jan 23 2017 akien <akien> 0.9.5-1.mga6
+ Revision: 1083107
- Version 0.9.5

* Mon Jan 02 2017 luigiwalser <luigiwalser> 0.9.3-8.mga6
+ Revision: 1079510
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.9.3-7.mga6
+ Revision: 1070637
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.9.3-6.mga6
+ Revision: 1046192
- test rebuild for poppler

* Wed May 25 2016 luigiwalser <luigiwalser> 0.9.3-5.mga6
+ Revision: 1018540
- rebuild for poppler

* Mon May 09 2016 luigiwalser <luigiwalser> 0.9.3-4.mga6
+ Revision: 1011751
- rebuild for poppler

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.9.3-3.mga6
+ Revision: 917804
- rebuild for poppler

* Tue Dec 29 2015 tv <tv> 0.9.3-2.mga6
+ Revision: 916738
- rebuild for new libGraphicsMagick

* Sun Dec 20 2015 dglent <dglent> 0.9.3-1.mga6
+ Revision: 912705
- Version 0.9.3

* Sat Jul 25 2015 tv <tv> 0.7.21-2.mga6
+ Revision: 857568
- rebuild for new poppler

* Thu Jun 25 2015 fwang <fwang> 0.7.21-1.mga6
+ Revision: 842919
- 0.7.21

* Wed Oct 15 2014 umeabot <umeabot> 0.7.17-4.mga5
+ Revision: 741422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.17-3.mga5
+ Revision: 683382
- Mageia 5 Mass Rebuild

* Thu May 01 2014 luigiwalser <luigiwalser> 0.7.17-2.mga5
+ Revision: 619136
- rebuild for poppler

* Sun Dec 08 2013 dglent <dglent> 0.7.17-1.mga5
+ Revision: 555852
- Add br pstreams-devel
- imported package pdf2djvu

